FROM {{ namespace }}/{{ image_prefix }}base:{{ tag }}
{% block labels %}
LABEL maintainer="{{ maintainer }}" name="{{ image_name }}" build-date="{{ build_date }}"
{% endblock %}

{% block skydive_base_header %}{% endblock %}

{% import "macros.j2" as macros with context %}

{{ macros.configure_user(name='skydive') }}

{% block skydive_install %}

{% if base_arch != 'x86_64' %}
RUN echo '{{ install_type }} on {{ base_distro }} not yet available on non x86_64 platforms' \
    && /bin/false
{% else %}
RUN curl -o /usr/bin/skydive "https://github.com/skydive-project/skydive/releases/download/v0.26.0/skydive" \
    && chmod +x /usr/bin/skydive
{% endif %}

{% endblock %}

COPY extend_start.sh /usr/local/bin/kolla_extend_start
RUN chmod 755 /usr/local/bin/kolla_extend_start

{% block skydive_base_footer %}{% endblock %}
